<?php
/**
 * Archive page / Forth section 
 *
 * This is the template for the content sticky category
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */

$options = create_magazine_get_theme_options();
$tp_cat = ! empty( $options['create_magazine_archive_category'] ) ? get_the_category_by_id( absint( $options['create_magazine_archive_category'] ) ) : '' ;
$args = array(
        'cat'       =>  absint( $options['create_magazine_archive_category'] ),
        'posts_per_page'    => 3,
        );

$the_query = get_posts( $args );

if( is_active_sidebar( 'sidebar-2' ) ) :
    $create_magazine_no_section_sidebar   = '';
else :
    $create_magazine_no_section_sidebar   = 'no-section-sidebar';
endif;
?>
<section id="music-and-video" class="page-section <?php echo $create_magazine_no_section_sidebar; ?>">
<div class="container">
    <div class="main-content widget-category">
    <?php if( ! empty( $tp_cat ) ) { ?>
        <header class="entry-header">
            <h2 class="entry-title color-black os-animation" data-os-animation="fadeInDown" data-os-animation-delay="0.3s" data-os-animation-duration="1s"><?php echo esc_html( $tp_cat ); ?></h2>
        </header><!-- end .entry-header -->
    <?php } ?>
        <?php foreach ( $the_query as $post ) : ?>
            <?php $thumbnail_image_class= has_post_thumbnail() ? '' : 'no-post-thumbnail'; ?>
            <div class="blog-post <?php echo esc_attr( $thumbnail_image_class ); ?>">

                <?php if( has_post_thumbnail() ){ ?>
                <div class="category-image os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.3s" data-os-animation-duration="0.6s">
                    <?php create_magazine_post_thumbnail(); ?>
                    <div class="overlay-blue"></div>
                </div><!-- end .category-image -->
                <?php } ?>

                <div class="category-desc">
                    <span class="date os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.3s" data-os-animation-duration="0.6s"><?php echo esc_html( get_the_date() ); ?></span>
                    <a href="<?php echo esc_url( get_the_permalink( $post->ID ) ); ?>"><h2 class="os-animation" data-os-animation="fadeInDown" data-os-animation-delay="0.3s" data-os-animation-duration="0.6s"><?php echo esc_html( get_the_title( $post->ID ) ); ?></h2></a>
                    <p class="os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.3s" data-os-animation-duration="0.6s"><?php echo esc_html( create_magazine_trim_content( $post, absint( $options['excerpt_length'] ) ) ); ?></p>
                    <a href="<?php echo esc_url( get_permalink( $post->ID ) ); ?>" class="read-more os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.4s" data-os-animation-duration="0.3s"><i class="fa fa-caret-right"></i><?php echo esc_html( $options['readmore_text'] ); ?></a>
                </div><!-- end .category-desc -->
                <div class="clear"></div>
            </div><!-- end .blog-post-->
        <?php endforeach; ?>

    </div><!-- end .main-content-->
    <?php if( is_active_sidebar( 'sidebar-2' ) ){ ?> 
        <div class="sidebar bg-white">
            <?php dynamic_sidebar( 'sidebar-2' ); ?>
        </div><!-- end .sidebar -->
    <?php } ?>
    </div><!-- .container -->
    <div class="clear"></div>
</section>