<?php
/**
 * Site Branding
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */ 

$options  = create_magazine_get_theme_options(); //get theme options from customizer

if ( ! $options['move_title_tagline'] ) : 
	$class = 'left';
else : 
	$class = 'right';
endif; ?>

<div class="container">
	<div class="site-branding align<?php echo $class;?> os-animation" data-os-animation="zoomIn" data-os-animation-delay="0.3s" data-os-animation-duration="1s"><!-- use alignright class to change logo position -->			
		<div class="site-logo"><a href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo get_custom_logo();?></a></div><!-- #site-logo -->
			<div id="site-header">
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo esc_html(get_bloginfo( 'name' ));?></a></h1>
				<h2 class="site-description"><?php echo esc_html( get_bloginfo( 'description' ) );?></h2>
			</div><!-- #site-header -->
	</div><!-- #site-branding-->
	<?php if( is_active_sidebar( 'header-right' ) ): ?>
		<div class="google-advertisement os-animation" data-os-animation="flipInX" data-os-animation-delay="0.3s" data-os-animation-duration="1s">
			<?php dynamic_sidebar( 'header-right' ) ; ?>
		</div>
	<?php endif;?>
</div><!-- end .site-branding-wrapper -->