<?php
/**
 * Related Posts Info
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */

global $post; 
$options               = create_magazine_get_theme_options();
$disable_related_posts = $options['disable_related_posts'];
$post_categories       = get_the_category( $post->ID );
$category_ids          = array();

foreach ( $post_categories as $post_category ) {
    $category_ids[] = $post_category->term_id;
}

if( empty( $category_ids ) ) {
    return;
} 

if ( ! $disable_related_posts ) { ?>
    <div class="clear"></div>
    <section id="trending-now" class="page-section">
            <div class="bg-blue">
            <?php if( !empty( $options['related_posts_title'] ) ){ ?>
                <header class="container entry-header text-left">
                    <h2 class="entry-title padding-top-bottom color-white os-animation" data-os-animation="fadeInDown" data-os-animation-delay="0.3s" data-os-animation-duration="1s"><?php echo esc_html( $options['related_posts_title'] ); ?></h2>
                </header>
            <?php } ?>
            </div><!-- end .bg-blue -->
        <?php 
            $qargs = array(
                'posts_per_page'  => 10,
                'category__in'    => $category_ids,
                'post__not_in'    => array( $post->ID )
            );

            $custom_posts = get_posts( $qargs );
        ?>
        <div class="entry-content">
            <div class="container">
                <div class="controls to-top">
                    <div class="cycle-prev-3"><a href="#"><i class="fa fa-caret-left"></i></a></div>
                    <div class="cycle-next-3"><a href="#"><i class="fa fa-caret-right"></i></a></div>
                </div><!--end .controls-->
                <?php
                    $carousel_visible_count = count($custom_posts);
                    if ( $carousel_visible_count >= 4 ) 
                        $carousel_visible_count = 4;
                    else 
                        $carousel_visible_count ;
                ?>
                <div class="cycle-slideshow" data-cycle-auto-height="calc" data-cycle-slides=">.featured-slider" data-cycle-fx="carousel" data-cycle-carousel-fluid="true" data-cycle-timeout="3000" data-cycle-speed="700" data-cycle-carousel-visible="<?php echo absint( $carousel_visible_count ); ?>" data-cycle-next=".cycle-next-3" data-cycle-prev=".cycle-prev-3">

                    <?php
                        foreach ( $custom_posts as $key => $custom_post) { 
                            if ( has_post_thumbnail( $custom_post->ID ) ) {
                                    $img_array = wp_get_attachment_image_src( get_post_thumbnail_id( $custom_post->ID ), 'create-magazine-featured-trending' );
                            }else {
                                $img_array = array( get_template_directory_uri() . '/assets/images/no-featured-image-275x206.png' );
                            }
                            $post_url = get_permalink( $custom_post->ID );
                            $post_date = get_the_date( '', $custom_post->ID);
                            $post_content  = create_magazine_trim_content( $custom_post, absint( $options['excerpt_length'] ) );
                    ?>
                        <div class="featured-slider">
                            <a href="<?php echo esc_url( $post_url ); ?>"><img src="<?php echo esc_url( $img_array[0] ); ?>"></a>
                            <div class="featured-contents">
                                <div class="title">
                                    <a href="<?php  echo esc_url( $post_url ); ?>"><h3><?php echo esc_html( $custom_post->post_title ); ?></h3></a>
                                </div><!-- end .title --> 
                                <span class="date"><?php echo esc_html( $post_date ); ?> </span><!-- end .date -->
                                <p class="description">
                                    <?php echo esc_html( $post_content ); ?>
                                </p>
                            </div><!-- end featured-contents -->
                        </div><!-- end .featured-slider -->
                    <?php } ?>
                    </div><!-- end .featured-slider -->

                </div><!--end .cycle-slideshow-->
            </div><!-- .container -->
        </div><!-- end .entry-content -->
    </section><!-- end .trending-now -->
<?php }




                        