<?php
/**
 * category block three Customizer options
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */

// Add category block three section
$wp_customize->add_section( 'create_magazine_category_block_three_section', array(
	'title'       		=> esc_html__( 'Category Block Three','create-magazine' ),
	'description' 		=> esc_html__( 'Category block three section options.', 'create-magazine' ),
	'priority'			=> '100',
	'panel'       		=> 'create_magazine_sections_panel'
) );

// Add category block three enable setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[category_block_three_enable]', array(
	'default'         	=> $options['category_block_three_enable'],
	'sanitize_callback' => 'create_magazine_sanitize_select'
) );

$wp_customize->add_control( 'create_magazine_theme_options[category_block_three_enable]', array(
	'label'             => esc_html__( 'Enable on', 'create-magazine' ),
	'section'           => 'create_magazine_category_block_three_section',
	'priority'			=> '10',
	'type'              => 'select',
	'choices'           => create_magazine_enable_options()
) );

// Add Category block three title setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[category_block_three_title]', array(
	'default'           => $options['category_block_three_title'],
	'transport'         => 'postMessage',
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'create_magazine_theme_options[category_block_three_title]', array(
	'label'             => esc_html__( 'Title', 'create-magazine' ),
	'section'           => 'create_magazine_category_block_three_section',
	'priority'			=> '30',
	'type'              => 'text',
	'active_callback'	=> 'create_magazine_is_category_block_three_content_category_active'
) );

// Add category block three content type setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[category_block_three_content_type]', array(
	'default'           => $options['category_block_three_content_type'],
	'sanitize_callback' => 'create_magazine_sanitize_select'
) );

$wp_customize->add_control( 'create_magazine_theme_options[category_block_three_content_type]', array(
	'label'           	=> esc_html__( 'Content Type', 'create-magazine' ),
	'section'         	=> 'create_magazine_category_block_three_section',
	'priority'		  	=> '20',
	'type'            	=> 'select',
	'active_callback' 	=> 'create_magazine_is_category_block_three_active',
	'choices'         	=> array(
		'demo'		  	=> esc_html__( 'Demo', 'create-magazine' ),
		'category'	  	=> esc_html__( 'Category', 'create-magazine' ),
	)
) );


// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'create_magazine_theme_options[category_block_three_title]', array(
		'selector'            => '#fashion .entry-header h2.entry-title',
		'render_callback'     => 'create_magazine_customize_partial_category_block_three_title',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
	) );
}

// Add category block three posts from category setting and control
$wp_customize->add_setting( 'create_magazine_theme_options[category_block_three_content_category]', array(
	'default'           => $options['category_block_three_content_category'],
	'sanitize_callback' => 'absint'
) );

$wp_customize->add_control( new Create_Magazine_Dropdown_Category_Control( $wp_customize, 'create_magazine_theme_options[category_block_three_content_category]', array(
	'label'           	=> esc_html__( 'Category', 'create-magazine' ),
	'description'	  	=> esc_html__( 'Select category to display posts', 'create-magazine' ),
	'section'         	=> 'create_magazine_category_block_three_section',
	'priority'		  	=> '40',
	'active_callback' 	=> 'create_magazine_is_category_block_three_content_category_active',
	'type'				=> 'dropdown-category',
	'input_attrs'		=> array(
		'style'        	=> 'width: 80px;'
	)
) ) );
