<?php
/**
 * Contact Page Customizer options
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */

// Contact details panel
$wp_customize->add_panel( 'create_magazine_contact_details', array(
	'title'      		=> esc_html__( 'Contact Details', 'create-magazine' ),
	'priority'   		=> 135,
	'description'       => esc_html__( 'This section is used for custom contact template.','create-magazine' ),
	'capability' 		=> 'edit_theme_options',
) );

// Add contact info section
$wp_customize->add_section( 'create_magazine_contact_info', array(
	'title'             => esc_html__( 'Contact Info','create-magazine' ),
	'description'       => esc_html__( 'Contact Page details. This features will appear only in custom conatct template.','create-magazine' ),
	'panel'             => 'create_magazine_contact_details'
) );

// contact info enable setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[contact_details_enable]', array(
	'default'           => $options['contact_details_enable'],
	'sanitize_callback' => 'create_magazine_sanitize_select'
) );

$wp_customize->add_control( 'create_magazine_theme_options[contact_details_enable]', array(
	'label'             => esc_html__( 'Enable on', 'create-magazine' ),
	'section'           => 'create_magazine_contact_info',
	'type'              => 'select',
	'choices'           => create_magazine_contact_details_options()
) );

// add telephone number
$wp_customize->add_setting( 'create_magazine_theme_options[telephone]', array(
	'default'           => $options['telephone'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'create_magazine_theme_options[telephone]', array(
	'label'             => esc_html__( 'Telephone', 'create-magazine' ),
	'section'           => 'create_magazine_contact_info',
	'type'              => 'text',
	'active_callback'	=> 'create_magazine_contact_details_active'
) );

// add Location
$wp_customize->add_setting( 'create_magazine_theme_options[location]', array(
	'default'           => $options['location'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'create_magazine_theme_options[location]', array(
	'label'             => esc_html__( 'Location', 'create-magazine' ),
	'section'           => 'create_magazine_contact_info',
	'type'              => 'text',
	'active_callback'	=> 'create_magazine_contact_details_active'
) );

// add Email
$wp_customize->add_setting( 'create_magazine_theme_options[email]', array(
	'default'           => $options['email'],
	'sanitize_callback' => 'sanitize_email'
) );

$wp_customize->add_control( 'create_magazine_theme_options[email]', array(
	'label'             => esc_html__( 'Email', 'create-magazine' ),
	'section'           => 'create_magazine_contact_info',
	'type'              => 'email',
	'active_callback'	=> 'create_magazine_contact_details_active'
) );



