<?php
/**
* Loader options
*
* @package Theme Palace
* @subpackage Create_Magazine
* @since Create Magazine 2.0
*/

// Add Loader section
$wp_customize->add_section( 'create_magazine_loader', array(
	'title'               => esc_html__( 'Loader','create-magazine' ),
	'description'         => esc_html__( 'Loader section options.', 'create-magazine' ),
	'panel'               => 'create_magazine_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'create_magazine_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'create-magazine' ),
	'section'             => 'create_magazine_loader',
	'type'                => 'checkbox',
) );

// Select type for loader.
$wp_customize->add_setting( 'create_magazine_theme_options[loader_type]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_select',
	'default'             => $options['loader_type']
) );

$wp_customize->add_control( 'create_magazine_theme_options[loader_type]', array(
	'label'               => esc_html__( 'Select loader type', 'create-magazine' ),
	'section'             => 'create_magazine_loader',
	'type'                => 'select',
	'active_callback'	  => 'create_magazine_is_loader_enable',
	'choices'			  => create_magazine_loader_type(),
) );

//loader icon type
$wp_customize->add_setting( 'create_magazine_theme_options[loader_icon_type]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_select',
	'default'             => $options['loader_icon_type'],
) );

$wp_customize->add_control( 'create_magazine_theme_options[loader_icon_type]', array(
	'label'               => esc_html__( 'Loader icon', 'create-magazine' ),
	'section'             => 'create_magazine_loader',
	'type'                => 'select',
	'active_callback'	  => 'create_magazine_is_loader_icon_type_enable',
	'choices'			  => create_magazine_icon_type(),
) );
// Loader image type.
$wp_customize->add_setting( 'create_magazine_theme_options[loader_image_type]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_image',
	'default'             => $options['loader_image_type']
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'create_magazine_theme_options[loader_image_type]', array(
	'label'               => esc_html__( 'Loader Image/Gif', 'create-magazine' ),
	'section'             => 'create_magazine_loader',
	'active_callback'	  => 'create_magazine_is_loader_image_type_enable'
) ) );