<?php
/**
 * related posts options
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */

// Add related posts section
$wp_customize->add_section( 'create_magazine_related_posts_section', array(
	'title'             => esc_html__( 'Single post related posts','create-magazine' ),
	'description'       => esc_html__( 'Single post related posts options.', 'create-magazine' ),
	'panel'             => 'create_magazine_theme_options_panel'
) );

// related posts setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[disable_related_posts]', array(
	'sanitize_callback' => 'create_magazine_sanitize_checkbox',
	'default'			=> $options['disable_related_posts']
) );

$wp_customize->add_control( 'create_magazine_theme_options[disable_related_posts]', array(
	'label'       		=> esc_html__( 'Check to disable related posts.', 'create-magazine' ),
	'section'     		=> 'create_magazine_related_posts_section',
	'type'        		=> 'checkbox',
) );

// Add Trending Now title setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[related_posts_title]', array(
	'default'           => $options['related_posts_title'],
	'transport'         => 'postMessage',
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'create_magazine_theme_options[related_posts_title]', array(
	'label'             => esc_html__( 'Title', 'create-magazine' ),
	'section'           => 'create_magazine_related_posts_section',
	'type'              => 'text',
	'active_callback'	=> 'create_magazine_is_related_posts_enable'
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'create_magazine_theme_options[related_posts_title]', array(
		'selector'            => '#trending-now .bg-red h2.entry-title',
		'render_callback'     => 'create_magazine_customize_related_posts_title',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
	) );
}