<?php
/**
 * Contact page / contact details section
 *
 * This is the template for the content of contact details section
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */


if ( ! function_exists( 'create_magazine_contact_info_section' ) ) :
	/**
	 * Contact details section
	 *
	 * @since Create Magazine 2.0
	 *
	 */
	function create_magazine_contact_info_section() {
		$options = create_magazine_get_theme_options();
		// Check if contact details is enabled on frontpage
		if ( 'disabled' != $options['contact_details_enable'] ) : ?>
        <section id="address-block">
            <div class="container">
                <div class="entry-content">
                    <ul>
                    	<?php if ( ! empty( $options['telephone'] ) ) : ?>
                        	<li class="os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.3s" data-os-animation-duration="1s"><i class="fa fa-phone"></i><span><?php esc_html_e( 'Telephone', 'create-magazine'); ?></span><a href="tel:<?php echo esc_attr( $options['telephone'] ); ?>"><?php echo esc_html( $options['telephone'] ); ?></a></li>
                        <?php
                        endif;
                        if ( ! empty( $options['location'] ) ) :
                        ?>
                        	<li class="os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.4s" data-os-animation-duration="1s"><i class="fa fa-map-marker"></i><span><?php esc_html_e( 'Location', 'create-magazine'); ?></span><a href="#"><?php echo esc_html( $options['location'] ); ?></a></li>
                        <?php
                        endif;
                        if ( ! empty( $options['email'] ) ) :
                        ?>
                        	<li class="os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.5s" data-os-animation-duration="1s"><i class="fa fa-envelope-o"></i><span><?php esc_html_e( 'Email ID', 'create-magazine'); ?></span><a href="mailto:<?php echo esc_attr( $options['email'] ); ?>"><?php echo esc_html( $options['email'] ); ?></a></li>
                    	<?php endif; ?>
                    </ul>
                </div><!-- end .entry-content -->
            </div><!-- end .container -->
        </section>
    	<?php 
    	endif;
	}
endif;
add_action( 'create_magazine_contact_info_section_action', 'create_magazine_contact_info_section' );