<?php
/**
 * Create magazine meta inclusion
 *
 * This is the template that includes all custom meta of Create Magazine
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */

//Set the Post Custom Field in the WP dashboard as Name/Value pair
if( ! function_exists( 'create_magazine_PostViews' ) ): 
	/**
	* @since Create Magazine 2.0
	*/
	function create_magazine_PostViews( $post_ID ) {

		//Set the name of the Posts Custom Field.
		$tp_count_key = 'post_views_count'; 
		
		//Returns values of the custom field with the specified key from the specified post.
		$tp_count = get_post_meta( $post_ID, $tp_count_key, true );
		
		//If the the Post Custom Field value is empty. 
		if ( $tp_count == '' ){
			$tp_count = 0; // set the counter to zero.
			
			//Delete all custom fields with the specified key from the specified post. 
			delete_post_meta( $post_ID, $tp_count_key );
			
			//Add a custom (meta) field (Name/value)to the specified post.
			add_post_meta( $post_ID, $tp_count_key, '0' );

			return $tp_count .  esc_html__(' View', 'create-magazine');

		
		//If the the Post Custom Field value is NOT empty.
		} else {
			$tp_count++; //increment the counter by 1.
			//Update the value of an existing meta key (custom field) for the specified post.
			update_post_meta( $post_ID, $tp_count_key, $tp_count );
			
			//If statement, is just to have the singular form 'View' for the value '1'
			if( $tp_count == '1' ){
			return $tp_count . esc_html__( ' View', 'create-magazine' );
			}
			//In all other cases return (count) Views
			else {
			return $tp_count . esc_html__( ' Views', 'create-magazine' );

			}
		}
	}
endif;